Subject: Probably a bug in cp

From: Francesco Asnicar <[email-masked]>
Date: Tue, 31 Jan 2017 11:18:44 +0000

Dear all,
I'm facing a problem with the cp command when using the -a (or
--preserve=all) parameter.
The problem is that the ownership of either files and folders is not
preserved.
I did several tests in which I tried to used different options, like
--preserve=all instead of using -a, -p, and --preserve=ownership.
I tried different version of cp present in different OS, for instance, the
version 8.21 on a Ubuntu 14.04 and the version 8.26 on Arch (update as
today).
The result, regardless of the version and OS is always the same, the
ownership is not preserved.

Many thanks,
Francesco